std::__future_base::_Result< _Res & > Struct Template Reference
Concurrency » Futures
Inheritance diagram for std::__future_base::_Result< _Res & >:
[legend]

## Public Types

typedef _Res & | result_type

## Public Member Functions

_Res & | _M_get () noexcept
void | _M_set (_Res &__res) noexcept

## Public Attributes

exception_ptr | _M_error

## Detailed Description

### template<typename _Res>
struct std::__future_base::_Result< _Res & >

Partial specialization for reference types.

Definition at line 591 of file future.

The documentation for this struct was generated from the following file:

- future